Bug 178518 - desktop is slow to refresh
desktop is slow to refresh
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Depends On:
  Show dependency treegraph
Reported: 2006-01-21 05:26 EST by Need Real Name
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-03-07 04:08:55 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2006-01-21 05:26:15 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20051215 Epiphany/1.9.4

Description of problem:
Opening (or maximising) a Window, and then minimising it shows a noticeable lag in redrawing the icons on the desktop.

It makes gnome feel slow (which is a shame, because everything else in FC5T2 feels faster, especially disk).

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Alexander Larsson 2006-01-23 04:08:39 EST
I've seen various mentions of this, but i haven't seen it myself. We need to
figure out what combination of hw/sw causes it. What graphics card do you have,
and what X driver do you use?
Comment 2 Need Real Name 2006-01-23 07:57:18 EST
The problem goes away when I switch to a tiled background.
I used a tiled background in FC4 too, and this is what I am comparing against.

Since I can't tell if this is a regression or not, feel free to close the bug.
On the other hand, maybe it's worth looking at the size of the new wallpaper (I
can't do that at the moment)
Comment 3 Alexander Larsson 2006-01-24 03:13:11 EST
That is interesting. What X driver do you use, and what size are the tiles you
use now?
Comment 4 Need Real Name 2006-01-24 12:17:53 EST
It's an ATI Technologies Inc Radeon 9100 with the ati driver.

The tiles are 289x150, 4-bit PNGs.
Comment 5 Mike A. Harris 2006-01-24 12:59:28 EST
What kernel is this occuring with?  It's possible the performance change is
caused by kernel debugging features being enabled.
Comment 6 Need Real Name 2006-01-24 13:00:52 EST
Comment 7 Dave Jones 2006-01-24 14:25:06 EST
quite likely. there's some really nasty bugs in recent kernels which I'm trying
to pin down.  if performance is an issue, use an older kernel until this is
worked out.

Comment 8 Thomas Cameron 2006-02-05 01:29:03 EST
Just a "me too."  I am running FC5t2 x86_64 on an Intel D945PVS motherboard with
an Intel 3.0GHz HT processor and 512MB memory.  My video card is an nVidia
GeForce FX 5200 with 128MB memory.  My monitor is a Viewsonic VA201wb 19" LCD
monitor.  I am running at 1600x1200 resolution, thousands of colors.

When I minimize an application window, say Firefox or Evolution, it takes a few
seconds for my desktop to refresh.  If I set it to no background, solid black,
the problem is lessened.  However, it is still noticeable - it takes a good half
to three quarters of a second for my desktop icons to re-appear.
Comment 9 Dave Jones 2006-02-05 02:34:20 EST
the latest kernels have the heavyweight debugging turned off (There's still some
features left on whilst some lingering problems get nailed down, but it
shouldn't be too bad).
Comment 10 Rahul Sundaram 2006-02-20 05:44:11 EST

These bugs are being closed since a large number of updates have been released
after the FC5 test1 and test2 releases. Kindly update your system by running yum
update as root user or try out the third and final test version of FC5 being
released in a short while and verify if the bugs are still present on the system
.Reopen or file new bug reports as appropriate after confirming the presence of
this issue. Thanks
Comment 11 Need Real Name 2006-02-20 11:35:25 EST

Note You need to log in before you can comment on or make changes to this bug.